{# Templates/Help/help_vassal.html.twig #}

{% extends 'Help/baseHelp.html.twig' %}

{% trans_default_domain 'Help' %}

{% block helpPicture %}
    <img class="screen" src="{{ asset('img/loc/fr/vassal.jpg') }}">
{% endblock %}

{% block helpHeader %}
    {{ 'navigation.vassalization' | trans }}
{% endblock %}

{% block helpContent %}
    <div class="content">
        <p>
            Lorsqu'un de vos généraux s'empare de la capitale d'un autre joueur,
            le royaume de ce joueur est détruit et il devient votre <b>vassal</b>.
        </p>
        <p>
            Vos vassaux peuvent ensuite conquérir leur propre royaume, qui sera
            comptabilisé dans votre
            <strong>gloire</strong> <img src="{{ asset('img/icons/l_up.png') }}">
            ce qui facilitera votre accession aux titres. Les généraux de vos vassaux
            sont indiqués en vert sur la carte.
        </p>
        <p>
            En contrepartie, votre vassal vous versera <b>20%</b> de son
            <strong>commerce</strong> <img src="{{ asset('img/icons/l_tax.png') }}">
            lors de chaque tour de production. Ces <b>taxes</b> ne sont pas ajoutées
            directement à vos ressources, elles s'accumulent et peuvent ensuite être
            <b>collectées</b> via l'interface
            {# <a href="/?tab=vassals">Vassaux</a> de la section <a href="/">Gestion</a>. #}
            {% if isInGameAndAlive %}
                <a href="{{ path('app_management_management', {'id': lordId, tab: 'vassals'}) }}">Vassaux</a>
                de la section
                <a href="{{ path('app_management_management', {'id': lordId}) }}">{{ 'navbar.managament' | trans([], 'Common') }}</a>.
            {% else %}
                <u>Vassaux</u> de la section <u>{{ 'navbar.managament' | trans([], 'Common') }}</u>.
            {% endif %}
        </p>
        <p>
            Les taxes ne sont versées et collectables que si votre vassal est <b>connecté</b>
            à votre capitale : cela veut dire qu'il doit y avoir un chemin dans votre
            royaume vous permettant de rejoindre la capitale de votre vassal à votre
            capitale. Un vassal isolé de votre royaume ne vous versera aucune taxe.
        </p>
        <p>
            <span class="i">Garnison</span> :
            vous pouvez laisser des unités en garnison chez vos vassaux. La garnison
            vous permettra d'aider votre vassal à défendre sa capitale, mais aussi à
            l'empêcher de se révolter.
        </p>
        <p>
            <span class="i">Révolte</span> :
            il est possible pour un vassal de se révolter, à condition qu'il ait plus
            d'unités en défense dans sa capitale que vous n'y avez laissé de garnison.
        </p>
        <p>
            Un suzerain a automatiquement le droit de passage et l'accès aux ressources
            de son vassal. Le vassal quant à lui a automatiquement le droit de passage
            sur le royaume de son suzerain (voir la section
            <a href="{{ path('app_help_diplo') }}">Diplomatie</a>).
        </p>
    </div>
{% endblock %}

{% block helpNavigation %}
    {% set vars = {
        'previousLink': path('app_help_battle'),
        'previousText': 'navigation.battle' | trans,
        'nextLink': path('app_help_glory'),
        'nextText': 'navigation.glory' | trans
    } %}
    {% include 'Help/helpNavbar.html.twig' with vars %}
{% endblock %}